Subject: [trill] [TRILL FGL] A question about RFC7172

From: Zouwenyu <[email-masked]>
Date: Sat, 24 May 2014 08:00:04 +0000

Hi Donald,

    In RFC7172, there are three types of RBridge: VL RBridge, FGL-safe RBridge and FGL RBridge.

    As specified in [RFC7172], Section 8.2, the flag 1 in the TRILL-VER sub-TLV should be set to indicate that a RBridge is FGL-safe.

    For FGL-edge RBridge, the Interested Labels and Spanning Tree Roots Sub-TLV which is specified in [RFC7176], Section 2.3.8, could indicate that a RBridge is FGL RBridge.

    But how to decide whether a RBridge is FGL or not, which is only a transit FGL RBridge? I have not seen any TLV or flags to indicate that.

Thanks.
Regards,
wenyu

-------------------------------------------------------------------------------------------------------------------------------------
本邮件及其附件含有杭州华三通信技术有限公司的保密信息，仅限于发送给上面地址中列出
的个人或群组。禁止任何其他人以任何形式使用（包括但不限于全部或部分地泄露、复制、
或散发）本邮件中的信息。如果您错收了本邮件，请您立即电话或邮件通知发件人并删除本
邮件！
This e-mail and its attachments contain confidential information from H3C, which is
intended only for the person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to, total or partial
disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender
by phone or email immediately and delete it!

---

From: Donald Eastlake <[email-masked]>
Date: Sat, 24 May 2014 10:31:17 -0400

Hi Wenyu,

On Sat, May 24, 2014 at 4:00 AM, Zouwenyu <[email-masked]> wrote:
>     As specified in [RFC7172], Section 8.2, the flag 1 in the TRILL-VER
> sub-TLV should be set to indicate that a RBridge is FGL-safe.
>
>     For FGL-edge RBridge, the Interested Labels and Spanning Tree Roots
> Sub-TLV which is specified in [RFC7176], Section 2.3.8, could indicate that
> a RBridge is FGL RBridge.
>
>     But how to decide whether a RBridge is FGL or not, which is only a
> transit FGL RBridge? I have not seen any TLV or flags to indicate that.

Generally all FGL RBridges are also FGL-safe. The only difference is
that an FGL RBridge can ingress a native frame to an FGL TRILL data
packet and it can egress an FGL TRILL data packet to a native frame.

If an FGL RBridge is a transit RBridge, then it is not ingressing or
egressing, so why would any other RBridge in the TRILL campus care if
it is an FGL RBridge or not? As long as the other RBridges know that
it is FGL-safe, they know they can route TRILL data through it.

Presumably the network manager knows because the network manager knows
what the equipment they are managing can do. So if some FGL-safe
RBridge is not advertising interest in any FGL labels in an Interested
Labels sub-TV, the network manager would know if it could be
configured to ingress/egress to/from FGL -- and if it was so
configured it would then start advertising interest in one or more FGL
labels with the Interested Labels sub-TLV.

Does this answer your question?

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: Zouwenyu <[email-masked]>
Date: Mon, 26 May 2014 02:29:04 +0000

Hi Donald,

________________________________________
From: Donald Eastlake [[email-masked]]
Sent: Saturday, May 24, 2014 22:31
To: zouwenyu 06026
Cc: [email-masked]
Subject: Re: [trill] [TRILL FGL] A question about RFC7172

>it is FGL-safe, they know they can route TRILL data through it.

  In [RFC7172], Section 4.1.1, it says this words, "Ingress as a TRILL multi-destination data packet (TRILL Header M bit = 1) on a distribution tree rooted at a nickname held by an FGL RBridge or by the pseudonode of an FGL link. ". In this descriptions, does the FGL RBridge mean both FGL RBridge and FGL-safe RBridge? In this way, for a native multi-destination frame which is FGL ingressed, the ingress RB must select a tree root held by a RBridge whose flag 1 in the TRILL-VER sub-TLV is set, and do not care whether a RBridge is FGL or FGL-safe.
Does it work like this?

Thanks.
Regards,
wenyu

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 28 May 2014 12:37:19 -0400

Hi Wenyu,

On Sun, May 25, 2014 at 10:29 PM, Zouwenyu <[email-masked]> wrote:
> In [RFC7172], Section 4.1.1, it says this words, "Ingress as a TRILL
> multi-destination data packet (TRILL Header M bit = 1) on a
> distribution tree rooted at a nickname held by an FGL RBridge or by
> the pseudonode of an FGL link. ". In this descriptions, does the FGL
> RBridge mean both FGL RBridge and FGL-safe RBridge? In this way, for
> a native multi-destination frame which is FGL ingressed, the ingress
> RB must select a tree root held by a RBridge whose flag 1 in the
> TRILL-VER sub-TLV is set, and do not care whether a RBridge is FGL
> or FGL-safe.

Right. As long as the root of the distribution tree is FGL or
FGL-safe, you are OK.

As long as the root of the distribution tree knows about FGL, then one
of the following two cases will apply:

  If you are using Step (B) in Section 5.1, then the distribution
  tree will be restricted to a contiguous area of TRILL Switches that
  can safely handle FGL.

  If you are using Step (A) in Section 5.2, then the distribution tree
  will have a core of TRILL switches that can safely handle FLG
  although it can have branches extending into areas of VL TRILL
  switches. But other provisions of Step (A) will cause any FGL TRILL
  Data packets to be discarded before they could be seen by any VL
  TRILL switches.

> Does it work like this?

Yes.

Thanks,
Donald